Bug 536376 - (RHQ-731) Content Source "Test Connection" only works when CSP feed is "Active"
Content Source "Test Connection" only works when CSP feed is "Active"
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
1.1pre
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Sunil Kondkar
http://jira.rhq-project.org/browse/RH...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-13 10:21 EDT by Corey Welton
Modified: 2014-05-02 13:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-02 13:52:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2008-08-13 10:21:00 EDT
When user tries to click the "Test Connection" button, s/he gets error message, even though everything does appear to be functioning correctly.


1. Administration > View all Content Sources  > JBoss Patch Content Source
2. Click the "Test Connection" button.
3. Edit the CSP Feed settings and set the feed to Active
4. Click the "Test Connection" button.

Expected result:
* "Test Connection" should be inaccessible if Feed is not Active -or-
* A feed should not necessarily require being Active prior to testing.

Current result:
* While feed is not active, user gets a message akin to the following when attempting to test connection:
 Failed the attempt to connect to the remote repository for [JBoss Patch Content Source] Check the configuration and make sure the remote repository is up.

Other notes:
* The correct behaviour seems to me to be that the user is able to test connection, even if it is not active.  After all, user may want to diagnose connectivity in the first place before trying a live feed.

Comment 1 Joseph Marques 2008-08-14 00:25:42 EDT
corey, thanks for all the detail.  i'm assuming this to be low-hanging fruit, so let's shoot for 1.1
Comment 2 Greg Hinkle 2008-10-02 11:27:56 EDT
hangs too low
Comment 3 Red Hat Bugzilla 2009-11-10 16:15:47 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-731
Comment 4 Corey Welton 2010-08-12 16:06:01 EDT
ON QA to see if this is still the case.  Reopen if the behavior still occurs, otherwise close.
Comment 5 Sunil Kondkar 2010-08-16 09:35:17 EDT
Tested on JON 2.4 GA

Clicking on test connection button when content source is set to active gives the message 
"Test passed - the remote repository for [JBoss CSP Patch Feed] is available. "

Clicking on test connection button when content source is not set to active gives the message 
"Test failed - failed to connect to the remote repository for [JBoss CSP Patch Feed] - check the configuration and make sure the remote repository is up and reachable. Details: java.lang.reflect.InvocationTargetException:null -> java.lang.Exception:Content source is NOT set to active - connection cannot be established."

Note You need to log in before you can comment on or make changes to this bug.